Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Broken system: no root account, read only user account
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 11, 12, 13 ... 26, 27, 28  Next  
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 12:53 am    Post subject: Reply with quote

DONAHUE wrote:
Code:
gcc-config 3
emerge -1av --usepkgonly glibc

Don't I have
env-update && source /etc/profile

I get a message:

* If you intend to use the gcc from the new profile in an already
* running shell, please remember to do:

* . /etc/profile
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Sep 16, 2013 12:55 am    Post subject: Reply with quote

Code:
gcc-config 3
emerge -1av --usepkgonly libtool
env-update
source /etc/profile
emerge -1av --usepkgonly glibc
emerge -1av --usepkgonly libtool


Good work!!
_________________
Defund the FCC.
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:03 am    Post subject: Reply with quote

done, but I lost 'chroot' on my prompt after profile sourcing:

(chroot) sysresccd ~ # source /etc/profile
sysresccd ~ #


Last edited by auddoula on Mon Sep 16, 2013 1:07 am; edited 2 times in total
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Sep 16, 2013 1:05 am    Post subject: Reply with quote

Code:
ls /root/rescue
to check cd won't have it; chroot will
_________________
Defund the FCC.


Last edited by DONAHUE on Mon Sep 16, 2013 1:06 am; edited 1 time in total
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:06 am    Post subject: Reply with quote

ls /root/rescue
bin boot dev etc home lib lib32 lib64 media mnt opt portage-latest.tar.bz2 proc root run sbin stage3-amd64-20130822.tar.bz2 sys tmp usr var

Looks good.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Sep 16, 2013 1:09 am    Post subject: Reply with quote

you are good in chroot
Code:
emerge -1av --usepkgonly baselayout udev perl python ruby


glibc is onboard?
_________________
Defund the FCC.


Last edited by DONAHUE on Mon Sep 16, 2013 1:12 am; edited 1 time in total
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:10 am    Post subject: Reply with quote

alculating dependencies... done!

emerge: there are no ebuilds to satisfy "ruby".
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Sep 16, 2013 1:12 am    Post subject: Reply with quote

emerge -1av --usepkgonly baselayout udev perl python

surprised but ok
_________________
Defund the FCC.


Last edited by DONAHUE on Mon Sep 16, 2013 1:13 am; edited 1 time in total
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:13 am    Post subject: Reply with quote

DONAHUE wrote:

glibc is onboard?
Yes, glibc/libtools all are on board
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:16 am    Post subject: Reply with quote

DONAHUE wrote:
emerge -1av --usepkgonly baselayout udev perl python

surprised but ok


Done.. caught a warning:
* CONFIG_DEVTMPFS: is not set when it should be.
* CONFIG_IDE: should not be set. But it is.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Sep 16, 2013 1:18 am    Post subject: Reply with quote

Code:
emerge -1avuND --usepkgonly --keep-going world


related to obsolete kernel

Code:
emerge -1av --usepkgonly gentoo-sources genkernel
genkernel all
will clear them
_________________
Defund the FCC.


Last edited by DONAHUE on Mon Sep 16, 2013 1:21 am; edited 1 time in total
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:20 am    Post subject: Reply with quote

790 packages, but it choked with the same error as before:


* ERROR: media-libs/libraw-0.15.4::gentoo failed (pretend phase):
* Please switch to an openmp compatible compiler
*
* Call stack:
* ebuild.sh, line 93: Called pkg_pretend
* environment, line 2824: Called die
* The specific snippet of code:
* tc-has-openmp || die "Please switch to an openmp compatible compiler";
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:22 am    Post subject: Reply with quote

I don't think i need libraw... that is for digital photo, right?
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Sep 16, 2013 1:22 am    Post subject: Reply with quote

keep a list and unmerge as occurring

you right, probably more gnome stuff thought glibc update might beat that one
_________________
Defund the FCC.
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:23 am    Post subject: Reply with quote

OK, but
emerge --unmerge media-libs/libraw
* This action can remove important packages! In order to be safer, use
* `emerge -pv --depclean <atom>` to check for reverse dependencies before
* removing packages.

--- Couldn't find 'media-libs/libraw' to unmerge.
emerge -sp libraw
Searching...
[ Results for search key : libraw ]
[ Applications found : 2 ]

* media-libs/libraw
Latest version available: 0.15.4
Latest version installed: [ Not Installed ]
Size of files: 1,394 kB
Homepage: http://www.libraw.org/
Description: LibRaw is a library for reading RAW files obtained from digital photo cameras
License: LGPL-2.1 CDDL GPL-2 GPL-3

* sys-libs/libraw1394
Latest version available: 2.0.8
Latest version installed: [ Not Installed ]
Size of files: 272 kB
Homepage: http://ieee1394.wiki.kernel.org/
Description: library that provides direct access to the IEEE 1394 bus
License: LGPL-2.1
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Sep 16, 2013 1:27 am    Post subject: Reply with quote

equery belongs libraw
_________________
Defund the FCC.
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:27 am    Post subject: Reply with quote

I just saw your updated
emerge -1av --usepkgonly gentoo-sources genkernel
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:28 am    Post subject: Reply with quote

DONAHUE wrote:
equery belongs libraw

Nothing for this...

i did not do this yet:
emerge -1av --usepkgonly gentoo-sources genkernel
but I am doing it now. I saw your update too late. it might solve some of the agonies
I will
genkernel all next.
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Sep 16, 2013 1:31 am    Post subject: Reply with quote

echo "media-libs/libraw" >> /etc/portage/package.mask
_________________
Defund the FCC.
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:33 am    Post subject: Reply with quote

genkernel all
* Gentoo Linux Genkernel; Version 3.4.45.1
* Running with options: all

* Using genkernel.conf from /etc/genkernel.conf
* Sourcing arch-specific config.sh from /usr/share/genkernel/arch/x86_64/config.sh ..
* Sourcing arch-specific modules_load from /usr/share/genkernel/arch/x86_64/modules_load ..

Could not find source tarball /var/cache/genkernel/src/busybox-1.20.1.tar.bz2. Please refetch.
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:33 am    Post subject: Reply with quote

DONAHUE wrote:
echo "media-libs/libraw" >> /etc/portage/package.mask

Done..
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Sep 16, 2013 1:34 am    Post subject: Reply with quote

kernel complaints are a warning about a system that won't boot later from udev
_________________
Defund the FCC.
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:35 am    Post subject: Reply with quote

i see... so, what is next?
emerge world again?
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 7552
Location: Goose Creek SC

PostPosted: Mon Sep 16, 2013 1:36 am    Post subject: Reply with quote

Code:
emerge -1avuND --usepkgonly --keep-going world
should have to find a different complaint

may need emerge --unmerge media-libs/freeimage
equery depends libraw
* These packages depend on libraw:
media-libs/freeimage-3.15.3-r2 (raw ? media-libs/libraw)
_________________
Defund the FCC.


Last edited by DONAHUE on Mon Sep 16, 2013 1:41 am; edited 1 time in total
Back to top
View user's profile Send private message
auddoula
Guru
Guru


Joined: 30 Apr 2008
Posts: 387

PostPosted: Mon Sep 16, 2013 1:39 am    Post subject: Reply with quote

Here are some of the complaints:

Total: 760 packages (392 upgrades, 107 new, 6 in new slots, 255 reinstalls, 760 binaries), Size of downloads: 0 kB

!!! The following update has been skipped due to unsatisfied dependencies:

kde-base/libkdcraw:4

!!! All ebuilds that could satisfy ">=media-libs/libraw-0.15:0/9=" have been masked.
!!! One of the following masked packages is required to complete your request:
- media-libs/libraw-0.15.4::gentoo (masked by: package.mask)

(dependency required by "kde-base/libkdcraw-4.10.5-r1" [binary])
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



!!! The following update(s) have been skipped due to unsatisfied dependencies
!!! triggered by backtracking:

kde-base/kdegraphics-meta:4
kde-base/thumbnailers:4
kde-base/kde-meta:4

!!! The following binary packages have been ignored due to non matching USE:

=app-editors/nano-2.3.2 -spell

NOTE: The --binpkg-respect-use=n option will prevent emerge
from ignoring these binary packages if possible.
Using --binpkg-respect-use=y will silence this warning.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Goto page Previous  1, 2, 3 ... 11, 12, 13 ... 26, 27, 28  Next
Page 12 of 28

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum